(* $Id: nn_authticket.mli 419 2011-09-25 22:40:39Z gerd $ *)

(** Management of authentication tickets *)

val create : string -> int64
  (** Create a new authentication ticket (verifier) for this user ID.

      Raises [Not_found] if this user does not exist.
   *)

val renew : int64 -> unit
  (** Renew the ticket. (Does not fail if the ticket is invalid.) *)

val principal : int64 -> Unix.passwd_entry * string * Plasma_util.StrSet.t
  (** Describe the principal behind the ticket as pair
      [(pw_entry, main_group, groups)]. Raises [Not_found] if
      the ticket does not exist or has timed out.
   *)

val delete : int64 -> unit

val post_start_hook : Netmcore.res_id -> unit
  (** [pool] *)
